<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0"
  xmlns="http://www.w3.org/1999/xhtml"
  xmlns:gglcal='http://www.w3.org/2005/Atom'
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:openSearch='http://a9.com/-/spec/opensearchrss/1.0/'
  xmlns:gd='http://schemas.google.com/g/2005'
  xmlns:gglcalfunc="http://www.magicvox.net/pub/xmlns/gglcal"
>
<xsl:output method="html"/>



<!-- Root Document -->
<xsl:template match="/">
  <div id="gglcal">
    <xsl:apply-templates select="gglcal:feed"/>
  </div><!--gglcal-->
</xsl:template><!--/-->



<!-- gglcal:feed -->
<xsl:template match="gglcal:feed">
  <h1>
    <img src="./image/calendar.gif" hspace="5"/>
    <xsl:value-of select="gglcal:title[@type='text']"/>
  </h1>

  <h2><xsl:value-of select="gglcal:subtitle[@type='text']"/></h2>

  <p class="header">
    <xsl:text>Publish authorized by </xsl:text>
    <span class="name"><xsl:value-of select="gglcal:author/gglcal:name"/></span>
  </p><!--header-->

  <p class="header">
    <xsl:text>Last updated at </xsl:text>
    <span class="date">
      <xsl:value-of select="substring(gglcal:updated, 1, 10)"/>
      <xsl:text> </xsl:text>
      <xsl:value-of select="substring(gglcal:updated, 12, 5)"/>
    </span><!--date-->
  </p><!--header-->

  <div class="items">
    <xsl:apply-templates select="gglcal:entry">
      <xsl:sort select="substring (gglcal:summary[@type='html'], 7,10)"/>
    </xsl:apply-templates><!--gglcal:entry-->
  </div><!--items-->

  <p class="header">
    <a href="{gglcalfunc:getPermalink ()}"><img src="./image/icon_link.gif"/>このページのリンク</a>
    <a href="{gglcalfunc:reload ()}"><img src="./image/action_refresh.gif"/>再読込み</a>
  </p><!--header-->


  <p class="powered">
    <xsl:text>Powered by </xsl:text>
    <a href="{gglcal:generator/@uri}"><xsl:value-of select="gglcal:generator"/></a>
  </p><!--powered-->

  <p class="powered">
    <xsl:text>Powered by </xsl:text>
    <a href="http://www.magicvox.net/">Open MagicVox.net</a>
  </p><!--powered-->


  <table cellspacing="0" cellpadding="0" class="pagectrl"><tr>
    <td class="prev">
      <xsl:if test="gglcal:link[@rel='previous']/@href">
        <a href="{gglcalfunc:openURL (gglcal:link[@rel = 'previous']/@href)}">&#171; 前ページ</a>
      </xsl:if>
    </td><!--prev-->
    <td class="center">
      <a href="http://lab.magicvox.net/gglcal/">ぐぐるかる beta</a>
    </td><!--center-->
    <td class="next">
      <xsl:if test="boolean(gglcal:link[@rel='next']/@href) and number(openSearch:itemsPerPage) &lt;= count(gglcal:entry)">
        <a href="{gglcalfunc:openURL (gglcal:link[@rel = 'next']/@href)}">次ページ &#187;</a>
      </xsl:if>
    </td><!--next-->
  </tr></table><!--pagectrl-->
</xsl:template><!--gglcal:feed-->



<!--gglcal:entry-->
<xsl:template match="gglcal:entry">
  <div class="item" id="{generate-id(.)}">
    <h1>
      <img src="./image/edit-blue.gif" hspace="5"/>
      <a href="{gglcalfunc:openURL (gglcal:link[@rel='self' and @type='application/atom+xml']/@href, 'show_event')}">
          <xsl:value-of select="gglcal:title[@type='text']"/></a>
      <span class="date"><xsl:value-of select="substring (gglcal:summary[@type='html'], 7,10)"/></span>
    </h1>
    <p class="footer">
      <a href="{gglcal:link[@rel='alternate' and @type='text/html']/@href}">&#187; 詳細ページ (HTML 版)</a>
    </p><!--footer-->
  </div><!--item-->
</xsl:template><!--gglcal:entry-->

</xsl:stylesheet>
