<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0"
  xmlns="http://www.w3.org/1999/xhtml"
  xmlns:gglcal='http://www.w3.org/2005/Atom'
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:openSearch='http://a9.com/-/spec/opensearchrss/1.0/'
  xmlns:gd='http://schemas.google.com/g/2005'
  xmlns:gglcalfunc="http://www.magicvox.net/pub/xmlns/gglcal"
>
<xsl:output method="html"/>



<!-- Root Document -->
<xsl:template match="/">
  <div id="gglcal">
    <xsl:apply-templates select="gglcal:entry"/>
  </div><!--gglcal-->
</xsl:template><!--/-->



<!-- gglcal:entry -->
<xsl:template match="gglcal:entry">
  <h1>
    <img src="./image/edit-blue.gif" hspace="5"/>
    <xsl:value-of select="gglcal:title[@type='text']"/>
  </h1>

  <h2><xsl:value-of select="gglcal:content[@type='text']"/></h2>

  <p class="header">
    <xsl:text>Last updated at </xsl:text>
    <span class="date">
      <xsl:value-of select="substring(gglcal:updated, 1, 10)"/>
      <xsl:text> </xsl:text>
      <xsl:value-of select="substring(gglcal:updated, 12, 5)"/>
    </span><!--date-->
  </p><!--header-->

  <p class="footer">
    <a href="{gglcal:link[@rel='alternate' and @type='text/html']/@href}">&#187; 詳細ページ (HTML 版)</a>
  </p><!--footer-->

  <p class="header">
    <a href="{gglcalfunc:goBack ('index')}"><img src="./image/page_prev.gif"/>戻る</a>
    <a href="{gglcalfunc:getPermalink ()}"><img src="./image/icon_link.gif"/>このページのリンク</a>
    <a href="{gglcalfunc:reload ()}"><img src="./image/action_refresh.gif"/>再読込み</a>
  </p><!--header-->


  <p class="powered">
    <xsl:text>Powered by </xsl:text>
    <a href="http://www.magicvox.net/">Open MagicVox.net</a>
  </p><!--powered-->


  <table cellspacing="0" cellpadding="0" class="pagectrl"><tr>
    <td class="prev"></td><!--prev-->
    <td class="center">
      <a href="http://lab.magicvox.net/gglcal/">ぐぐるかる beta</a>
    </td><!--center-->
    <td class="next"></td><!--next-->
  </tr></table><!--pagectrl-->
</xsl:template><!--gglcal:entry-->



</xsl:stylesheet>
